# RTP_IMFrame Class Reference

`#include <im.h>`

Inheritance diagram for RTP_IMFrame:

[legend]
Collaboration diagram for RTP_IMFrame:
[legend]

## Public Member Functions

| RTP_IMFrame ()
| RTP_IMFrame (const PString &contentType)
| RTP_IMFrame (const PString &contentType, const T140String &content)
| RTP_IMFrame (const BYTE *data, PINDEX len, PBoolean dynamic=true)
void | SetContentType (const PString &contentType)
PString | GetContentType () const
void | SetContent (const T140String &text)
bool | GetContent (T140String &text) const
PString | AsString () const

## Constructor & Destructor Documentation

RTP_IMFrame::RTP_IMFrame | ( |  | ) |

RTP_IMFrame::RTP_IMFrame | ( | const PString & | contentType | ) |

RTP_IMFrame::RTP_IMFrame | ( | const PString & | contentType,
|  | const T140String & | content |
| ) |  |  |

RTP_IMFrame::RTP_IMFrame | ( | const BYTE * | data,
|  | PINDEX | len,
|  | PBoolean | dynamic = `true` |
| ) |  |  |

## Member Function Documentation

PString RTP_IMFrame::AsString | ( |  | ) | const`[inline]`

bool RTP_IMFrame::GetContent | ( | T140String & | text | ) | const

PString RTP_IMFrame::GetContentType | ( |  | ) | const

void RTP_IMFrame::SetContent | ( | const T140String & | text | ) |

void RTP_IMFrame::SetContentType | ( | const PString & | contentType | ) |

The documentation for this class was generated from the following file:

- im.h